%define section	free

Name:		jgroups
Version:	2.2.6
Release: 	1jpp_4fc
Epoch:		0
Summary:	Toolkit for reliable multicast communication.
License:	LGPL
URL:		http://www.jgroups.org/
Group:		Development/LIbraries/Java
Source0:	JGroups-2.2.6.src-RHCLEAN.tar.bz2
Requires:	bsh
Requires:	concurrent
Requires:	jakarta-commons-logging
Requires:	jaxp_parser_impl
Requires:	jms
Requires:	log4j
BuildRequires:	ant >= 0:1.6
BuildRequires:	bsh
BuildRequires:	concurrent
BuildRequires:	jakarta-commons-logging
BuildRequires:	jaxp_parser_impl
BuildRequires:	jms
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildRequires:	log4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JGroups is a toolkit for reliable multicast communication. (Note that
this doesn't necessarily mean IP Multicast, JGroups can also use
transports such as TCP). It can be used to create groups of processes
whose members can send messages to each other. The main features include

    * Group creation and deletion. Group members can be spread across
      LANs or WANs
    * Joining and leaving of groups
    * Membership detection and notification about joined/left/crashed members
    * Detection and removal of crashed members
    * Sending and receiving of member-to-group messages (point-to-multipoint)
    * Sending and receiving of member-to-member messages (point-to-point)

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation
Prereq: coreutils

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n JGroups-2.2.6.src
find . -name "*.jar" -exec rm -f {} \;

%build
export OPT_JAR_LIST=""
export CLASSPATH=$(build-classpath \
bsh \
concurrent \
commons-logging \
jaxp_parser_impl \
jms \
junit \
log4j \
ant ant-launcher)
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}-all.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:2.2.6-1jpp_4fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:2.2.6-1jpp_3fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 0:2.2.6-1jpp_2fc
- rebuilt

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:2.2.6-1jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Thu Dec 02 2004 Fernando Nasser <fnasser@redhat.com> 0:2.2.6-1jpp_1rh
- First Red Hat release

* Thu Sep 16 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2.6-1jpp
- upgrade to 2.2.6

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.2-3jpp
- Rebuild with ant-1.6.2

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:2.2-2jpp
- Upgrade to Ant 1.6.X

* Sun Jan 25 2004 David Walluck <david@anti-microsoft.org> 0:2.2-1jpp
- update source
